---

- name: "👤 Find uid of user '{{ app_user }}'"
  ansible.builtin.command: "id -u {{ app_user }}"
  register: app_user_id_result
  become_user: "{{ app_user }}"
  check_mode: false # Run even in check mode, otherwise the playbook fails with --check.
  changed_when: false
  # no_log: true
  when: app_user_id_result is undefined

- name: "🛂 Set app_user_id"
  ansible.builtin.set_fact:
    app_user_id: "{{ app_user_id_result.stdout }}"
  when: (app_user_id is undefined) and (app_user_id_result is defined)

- name: "👥 Find gid of user '{{ app_user }}'"
  ansible.builtin.command: "id -g {{ app_user }}"
  register: app_group_id
  become_user: "{{ app_user }}"
  check_mode: false # Run even in check mode, otherwise the playbook fails with --check.
  changed_when: false
  no_log: true
  when: app_group_id is undefined

- name: "🛂 Set app_group_id"
  ansible.builtin.set_fact:
    app_group_id: "{{ app_group_id_result.stdout }}"
  when: (app_group_id is undefined) and (app_group_id_result is defined)

- name: "🔍 Determine XDG_RUNTIME_DIR"
  ansible.builtin.set_fact:
    xdg_runtime_dir: "/run/user/{{ app_user_id }}"
  changed_when: false
  when: (app_user_id is defined) and (xdg_runtime_dir is undefined)
